function FindProxyForURL(url, host){
if(isPlainHostName(host)) return 'DIRECT';
if(!shExpMatch(url, 'http*')) return 'DIRECT';
var ip = dnsResolve(host);

if(!ip) return 'DIRECT';

if(shExpMatch(ip, '*:*')) return 'DIRECT';

else if(isInNet(ip,'127.0.0.0','255.0.0.0')) return 'DIRECT';
else if(isInNet(ip,'10.0.0.0','255.0.0.0')) return 'DIRECT';
else if(isInNet(ip,'192.168.0.0','255.255.0.0')) return 'DIRECT';
else if(isInNet(ip,'172.16.0.0','255.240.0.0')) return 'DIRECT';
else if(isInNet(ip,'169.254.0.0','255.255.0.0')) return 'DIRECT';

else if(dnsDomainIs(host, ".126.net")) return DIRECT
else if(dnsDomainIs(host, ".163.com")) return DIRECT
else if(dnsDomainIs(host, ".alimama.cn")) return DIRECT
else if(dnsDomainIs(host, ".alimama.com")) return DIRECT
else if(dnsDomainIs(host, ".alisoft.com")) return DIRECT
else if(dnsDomainIs(host, ".atpanel.com")) return DIRECT
else if(dnsDomainIs(host, ".baidu.com")) return DIRECT
else if(dnsDomainIs(host, ".com.cn")) return DIRECT
else if(dnsDomainIs(host, ".google.com.hk")) return DIRECT
else if(dnsDomainIs(host, ".googleadsserving.cn")) return DIRECT
else if(dnsDomainIs(host, ".gougou.com")) return DIRECT
else if(dnsDomainIs(host, ".gtimg.cn")) return DIRECT
else if(dnsDomainIs(host, ".gtimg.com")) return DIRECT
else if(dnsDomainIs(host, ".hao123.com")) return DIRECT
else if(dnsDomainIs(host, ".ifeng.com")) return DIRECT
else if(dnsDomainIs(host, ".imrworldwide.com")) return DIRECT
else if(dnsDomainIs(host, ".kaixin001.com")) return DIRECT
else if(dnsDomainIs(host, ".qq.com")) return DIRECT
else if(dnsDomainIs(host, ".rekoo.net")) return DIRECT
else if(dnsDomainIs(host, ".renren.com")) return DIRECT
else if(dnsDomainIs(host, ".sandai.net")) return DIRECT
else if(dnsDomainIs(host, ".sinaimg.cn")) return DIRECT
else if(dnsDomainIs(host, ".sinajs.cn")) return DIRECT
else if(dnsDomainIs(host, ".sina.com")) return DIRECT
else if(dnsDomainIs(host, ".sohu.com")) return DIRECT
else if(dnsDomainIs(host, ".soso.com")) return DIRECT
else if(dnsDomainIs(host, ".taobao.com")) return DIRECT
else if(dnsDomainIs(host, ".taobaocdn.com")) return DIRECT
else if(dnsDomainIs(host, ".tudou.com")) return DIRECT
else if(dnsDomainIs(host, ".xnimg.cn")) return DIRECT
else if(dnsDomainIs(host, ".xunlei.com")) return DIRECT
else if(dnsDomainIs(host, ".ykimg.com")) return DIRECT
else if(dnsDomainIs(host, ".youku.com")) return DIRECT

else if(isInNet(ip,'110.64.0.0','255.254.0.0')) return 'DIRECT';
else if(isInNet(ip,'113.54.0.0','255.254.0.0')) return 'DIRECT';
else if(isInNet(ip,'114.212.0.0','255.254.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'114.214.0.0','255.255.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'115.154.0.0','255.254.0.0')) return 'DIRECT';
else if(isInNet(ip,'115.156.0.0','255.254.0.0')) return 'DIRECT';
else if(isInNet(ip,'115.158.0.0','255.255.0.0')) return 'DIRECT';
else if(isInNet(ip,'115.24.0.0','255.252.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'116.13.0.0','255.255.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'116.56.0.0','255.254.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'118.202.0.0','255.254.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'118.228.0.0','255.254.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'118.230.0.0','255.255.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'120.94.0.0','255.254.0.0')) return 'DIRECT';
else if(isInNet(ip,'120.95.0.0','255.255.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'121.192.0.0','255.252.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'121.248.0.0','255.252.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'121.48.0.0','255.254.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'121.52.160.0','255.255.224.0')) return 'DIRECT'; 
else if(isInNet(ip,'122.204.0.0','255.252.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'125.216.0.0','255.248.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'162.105.0.0','255.255.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'166.111.0.0','255.255.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'202.112.0.0','255.248.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'202.120.0.0','255.254.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'202.127.216.0','255.255.248.0')) return 'DIRECT'; 
else if(isInNet(ip,'202.127.224.0','255.255.224.0')) return 'DIRECT'; 
else if(isInNet(ip,'202.179.240.0','255.255.240.0')) return 'DIRECT'; 
else if(isInNet(ip,'202.192.0.0','255.240.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'202.38.140.0','255.255.254.0')) return 'DIRECT'; 
else if(isInNet(ip,'202.38.184.0','255.255.248.0')) return 'DIRECT'; 
else if(isInNet(ip,'202.38.192.0','255.255.192.0')) return 'DIRECT'; 
else if(isInNet(ip,'202.38.64.0','255.255.192.0')) return 'DIRECT'; 
else if(isInNet(ip,'202.4.128.0','255.255.224.0')) return 'DIRECT'; 
else if(isInNet(ip,'203.91.120.0','255.255.248.0')) return 'DIRECT'; 
else if(isInNet(ip,'210.25.0.0','255.255.128.0')) return 'DIRECT'; 
else if(isInNet(ip,'210.25.128.0','255.255.192.0')) return 'DIRECT'; 
else if(isInNet(ip,'210.26.0.0','255.254.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'210.28.0.0','255.252.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'210.32.0.0','255.240.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'211.64.0.0','255.248.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'211.80.0.0','255.248.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'218.192.0.0','255.248.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'219.216.0.0','255.248.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'219.224.0.0','255.248.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'219.242.0.0','255.254.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'219.244.0.0','255.252.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'222.16.0.0','255.252.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'222.192.0.0','255.248.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'222.20.0.0','255.255.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'222.200.0.0','255.248.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'222.21.0.0','255.255.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'222.22.0.0','255.254.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'222.24.0.0','255.248.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'58.154.0.0','255.254.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'58.192.0.0','255.240.0.0')) return 'DIRECT'; 
else if(isInNet(ip,'59.64.0.0','255.240.0.0')) return 'DIRECT'; 

else if(isInNet(ip,"115.252.186.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"119.31.252.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"119.31.254.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"12.130.28.208","255.255.255.240")) return "DIRECT";
else if(isInNet(ip,"12.154.67.128","255.255.255.128")) return "DIRECT";
else if(isInNet(ip,"12.18.186.192","255.255.255.224")) return "DIRECT";
else if(isInNet(ip,"124.40.41.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"125.252.220.45","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"125.56.144.45","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.35.76.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"129.35.77.193","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.41.4.137","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.41.4.138","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.41.4.140","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.41.4.143","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.41.4.144","255.255.255.252")) return "DIRECT";
else if(isInNet(ip,"129.41.4.148","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.41.4.154","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.41.4.158","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.42.24.230","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.42.25.230","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.42.32.230","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.42.33.230","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.42.40.230","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"129.42.41.230","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"130.88.203.58","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"132.151.9.22","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"132.174.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"134.243.5.160","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"134.243.5.21","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"134.243.5.42","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"134.243.5.63","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"128.107.229.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"128.232.233.0","255.255.255.192")) return "DIRECT";
else if(isInNet(ip,"128.84.158.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"129.35.69.21","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"134.243.5.70","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"134.243.85.3","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"137.189.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"138.12.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"140.113.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"140.234.29.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"140.98.193.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"140.98.194.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"141.66.18.186","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"143.89.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"144.212.244.10","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"144.212.244.9","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"144.214.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"144.81.82.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"152.101.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"152.104.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"158.132.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"158.182.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"160.109.106.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"160.109.108.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"160.109.112.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"160.109.114.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"160.109.98.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"165.193.106.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"165.193.159.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"165.215.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"167.216.166.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"144.81.87.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"144.81.88.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"147.8.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"149.28.1.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"149.7.32.19","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"167.68.6.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"170.107.181.167","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"170.107.185.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"170.107.188.0","255.255.252.0")) return "DIRECT";
else if(isInNet(ip,"170.224.101.208","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"171.66.120.0","255.255.248.0")) return "DIRECT";
else if(isInNet(ip,"192.132.2.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"192.195.245.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"192.207.91.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"192.234.21.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"192.234.22.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"192.245.208.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"192.58.150.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"192.73.216.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"192.80.71.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"192.84.75.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"192.84.80.20","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"193.174.24.39","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"193.174.240.6","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"193.174.240.8","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"193.194.158.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"194.119.138.1","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"194.119.138.10","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"194.119.138.2","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"194.119.138.6","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"194.128.228.153","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"194.130.252.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"194.209.48.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"195.144.0.13","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"195.144.0.22","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"195.144.0.26","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"195.144.0.32","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"195.144.0.50","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"195.144.0.57","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"192.84.80.37","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"192.84.80.38","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"192.86.104.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"193.128.223.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"193.131.119.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"195.144.0.58","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"195.144.69.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"195.22.150.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"195.27.123.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"195.27.130.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"195.27.60.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"195.92.228.61","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"195.92.228.71","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"195.92.230.51","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"198.137.148.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"198.137.150.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"198.185.16.0","255.255.248.0")) return "DIRECT";
else if(isInNet(ip,"198.185.24.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"198.80.148.147","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"198.81.200.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"199.164.217.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"199.4.154.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"199.74.248.13","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"199.98.88.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"202.125.192.0","255.255.192.0")) return "DIRECT";
else if(isInNet(ip,"202.134.86.130","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"202.14.80.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"202.189.96.0","255.255.224.0")) return "DIRECT";
else if(isInNet(ip,"202.40.138.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"202.40.157.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"202.40.192.0","255.255.224.0")) return "DIRECT";
else if(isInNet(ip,"202.43.216.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"202.89.238.238","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"202.89.238.248","255.255.255.252")) return "DIRECT";
else if(isInNet(ip,"202.89.238.252","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"203.112.23.19","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"203.128.128.0","255.255.224.0")) return "DIRECT";
else if(isInNet(ip,"203.188.64.0","255.255.192.0")) return "DIRECT";
else if(isInNet(ip,"203.81.38.66","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"203.81.38.68","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"203.87.224.0","255.255.224.0")) return "DIRECT";
else if(isInNet(ip,"203.98.210.56","255.255.255.248")) return "DIRECT";
else if(isInNet(ip,"203.98.210.64","255.255.255.224")) return "DIRECT";
else if(isInNet(ip,"204.126.80.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"204.153.51.113","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.153.51.29","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.153.51.41","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"202.45.176.0","255.255.240.0")) return "DIRECT";
else if(isInNet(ip,"202.45.32.0","255.255.224.0")) return "DIRECT";
else if(isInNet(ip,"202.75.64.0","255.255.224.0")) return "DIRECT";
else if(isInNet(ip,"202.84.16.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"202.89.236.206","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"202.89.236.253","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"202.89.238.208","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.153.51.42","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.153.51.47","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.153.51.60","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.153.51.65","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.179.122.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"204.228.64.31","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.228.64.37","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.228.64.38","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.228.64.52","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.228.64.55","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.228.64.60","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.50.102.245","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"204.50.102.36","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"205.142.245.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"205.203.134.1","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"205.203.134.30","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"205.240.244.0","255.255.252.0")) return "DIRECT";
else if(isInNet(ip,"205.243.231.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"206.112.112.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"206.188.17.103","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"206.188.17.13","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"206.188.17.23","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"207.164.255.103","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"207.24.128.0","255.255.240.0")) return "DIRECT";
else if(isInNet(ip,"207.24.35.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"207.24.36.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"207.24.38.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"207.24.42.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"207.24.44.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"207.25.176.0","255.255.248.0")) return "DIRECT";
else if(isInNet(ip,"207.46.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"207.54.136.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"207.68.146.217","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"207.68.168.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"207.68.172.235","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"207.68.178.0","255.255.255.128")) return "DIRECT";
else if(isInNet(ip,"207.68.179.192","255.255.255.224")) return "DIRECT";
else if(isInNet(ip,"207.97.243.216","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"208.176.18.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"208.181.59.245","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"208.181.59.253","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"208.197.26.35","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"208.197.26.36","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"208.215.179.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"208.254.38.80","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"208.254.38.90","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"208.254.79.0","255.255.255.192")) return "DIRECT";
else if(isInNet(ip,"206.188.17.33","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"206.188.17.43","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"206.188.17.53","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"206.188.17.63","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"206.188.17.73","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"206.188.17.83","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"206.188.17.93","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"206.65.170.81","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"208.44.56.210","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"208.44.56.212","255.255.255.252")) return "DIRECT";
else if(isInNet(ip,"208.44.56.216","255.255.255.252")) return "DIRECT";
else if(isInNet(ip,"208.44.56.220","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"208.44.56.71","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"208.76.204.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"208.77.250.60","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"208.99.144.251","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"209.116.81.5","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"209.133.34.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"209.191.64.0","255.255.192.0")) return "DIRECT";
else if(isInNet(ip,"209.195.157.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"209.208.170.210","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"209.225.25.11","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"209.246.136.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"209.249.123.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"209.85.128.0","255.255.128.0")) return "DIRECT";
else if(isInNet(ip,"210.177.136.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"210.210.18.35","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"212.111.43.128","255.255.255.128")) return "DIRECT";
else if(isInNet(ip,"212.187.169.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"212.87.150.203","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"212.87.150.207","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"212.87.150.214","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"212.87.150.216","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"212.87.150.218","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"213.130.39.122","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"213.161.82.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"213.170.149.226","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"213.198.99.117","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"213.212.74.227","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"213.212.74.236","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"213.244.181.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"216.176.50.163","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.200.249.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"216.200.62.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"216.239.32.0","255.255.224.0")) return "DIRECT";
else if(isInNet(ip,"216.33.115.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"216.35.79.115","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.35.79.116","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"216.35.79.118","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.52.17.96","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.52.184.240","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.52.36.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"216.73.87.52","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.74.131.105","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.74.159.103","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.74.159.106","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.74.159.109","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.74.159.112","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.74.159.121","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.83.187.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"217.154.120.7","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"217.68.69.68","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"217.68.69.70","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"217.68.69.84","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"217.7.141.143","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"217.7.141.144","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"217.7.141.149","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"213.52.211.32","255.255.255.224")) return "DIRECT";
else if(isInNet(ip,"216.136.168.73","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.143.112.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"216.146.38.200","255.255.255.252")) return "DIRECT";
else if(isInNet(ip,"216.146.38.204","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"216.162.203.144","255.255.255.240")) return "DIRECT";
else if(isInNet(ip,"216.162.203.72","255.255.255.248")) return "DIRECT";
else if(isInNet(ip,"217.7.141.150","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"222.122.11.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"38.100.138.149","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"60.254.132.45","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"61.200.81.134","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"61.200.81.142","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"61.200.81.144","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"61.56.222.161","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"61.56.222.162","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"61.56.222.164","255.255.255.252")) return "DIRECT";
else if(isInNet(ip,"61.56.222.168","255.255.255.248")) return "DIRECT";
else if(isInNet(ip,"62.159.60.207","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"62.159.60.208","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"62.159.60.213","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"62.159.60.214","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"62.173.115.116","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"62.4.69.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"62.50.45.35","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"62.50.45.40","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"63.123.194.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"63.123.251.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"63.125.146.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"63.164.11.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"63.209.48.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"63.210.142.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"63.211.66.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"63.215.124.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"63.73.227.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"63.77.221.10","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"63.84.162.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"63.86.118.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"63.86.141.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"63.88.212.181","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"63.89.64.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"64.124.183.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"64.124.236.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"64.14.57.184","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"64.14.57.186","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"64.215.172.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"64.233.160.0","255.255.224.0")) return "DIRECT";
else if(isInNet(ip,"64.27.64.232","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"64.4.0.0","255.255.192.0")) return "DIRECT";
else if(isInNet(ip,"64.66.190.222","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"66.129.67.169","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"66.133.171.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"66.150.96.119","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"66.179.148.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"66.179.235.32","255.255.255.224")) return "DIRECT";
else if(isInNet(ip,"66.218.72.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"66.249.64.0","255.255.224.0")) return "DIRECT";
else if(isInNet(ip,"66.37.210.86","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"65.215.128.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"65.246.184.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"65.249.64.96","255.255.255.224")) return "DIRECT";
else if(isInNet(ip,"65.54.0.0","255.254.0.0")) return "DIRECT";
else if(isInNet(ip,"65.79.117.208","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"66.102.0.0","255.255.240.0")) return "DIRECT";
else if(isInNet(ip,"66.45.81.158","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"66.45.81.190","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"66.70.68.187","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"66.94.228.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"66.98.205.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"67.192.35.176","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"67.212.131.103","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"67.212.131.104","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"67.212.131.106","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"67.212.131.81","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"67.72.105.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"67.96.124.213","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"69.147.112.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"69.32.132.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"69.32.182.0","255.255.254.0")) return "DIRECT";
else if(isInNet(ip,"70.224.107.73","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"72.14.192.0","255.255.192.0")) return "DIRECT";
else if(isInNet(ip,"72.164.152.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"72.237.166.111","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"72.3.142.36","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"72.32.26.50","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"74.125.0.0","255.255.0.0")) return "DIRECT";
else if(isInNet(ip,"74.43.216.167","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"74.43.216.168","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"74.43.216.244","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"74.43.216.247","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"74.43.219.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"76.12.47.123","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"82.109.207.14","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"82.150.20.0","255.255.252.0")) return "DIRECT";
else if(isInNet(ip,"82.165.251.151","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"82.165.43.115","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"82.197.80.72","255.255.255.248")) return "DIRECT";
else if(isInNet(ip,"82.197.80.80","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"82.197.80.82","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"83.138.144.214","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"83.138.147.58","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"84.18.160.0","255.255.224.0")) return "DIRECT";
else if(isInNet(ip,"87.102.111.227","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"87.102.111.232","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"87.102.111.236","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"83.138.175.80","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"83.138.175.82","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"83.231.175.18","255.255.255.254")) return "DIRECT";
else if(isInNet(ip,"83.231.175.24","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"83.231.175.37","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"83.70.140.0","255.255.252.0")) return "DIRECT";
else if(isInNet(ip,"87.102.111.250","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"91.208.107.0","255.255.255.0")) return "DIRECT";
else if(isInNet(ip,"93.91.19.13","255.255.255.255")) return "DIRECT";
else if(isInNet(ip,"94.236.18.170","255.255.255.255")) return "DIRECT";
else return "PROXY 127.0.0.1:8081";
}